<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:35:56 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>JavaModelElementsCreator (org.eclipse.papyrus.designer.languages.java.codegen 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JavaModelElementsCreator (org.eclipse.papyrus.designer.languages.java.codegen 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/JavaModelElementsCreator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" target="_top">Frames</a></li>
<li><a href="JavaModelElementsCreator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.codegen.transformation</div>
<h2 title="Class JavaModelElementsCreator" class="title">Class JavaModelElementsCreator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">org.eclipse.papyrus.designer.languages.common.base.ModelElementsCreator</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.codegen.transformation.JavaModelElementsCreator</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">JavaModelElementsCreator</span>
extends <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></pre>
<div class="block">Main class of Java code generator</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#commentHeader">commentHeader</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#javaExt">javaExt</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#TMP_SOURCE_FOLDER">TMP_SOURCE_FOLDER</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.languages.common.base.ModelElementsCreator">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.designer.languages.common.base.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></h3>
<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#fileSystemAccess" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">fileSystemAccess</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#generatorLanguage" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">generatorLanguage</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#locStrategy" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">locStrategy</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#project" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">project</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#JavaModelElementsCreator-org.eclipse.papyrus.infra.tools.file.IPFileSystemAccess-java.lang.String-">JavaModelElementsCreator</a></span>(org.eclipse.papyrus.infra.tools.file.IPFileSystemAccess&nbsp;fileSystemAccess,
                        <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;commentHeader)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#JavaModelElementsCreator-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.PackageableElement-">JavaModelElementsCreator</a></span>(org.eclipse.core.resources.IProject&nbsp;project,
                        org.eclipse.uml2.uml.PackageableElement&nbsp;packageableElement)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#JavaModelElementsCreator-org.eclipse.core.resources.IProject-java.lang.String-org.eclipse.uml2.uml.PackageableElement-">JavaModelElementsCreator</a></span>(org.eclipse.core.resources.IProject&nbsp;project,
                        <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;commentHeader,
                        org.eclipse.uml2.uml.PackageableElement&nbsp;packageableElement)</code>
<div class="block">Constructor, allows for non-standard commentHeader</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#createPackageableElementFile-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">createPackageableElementFile</a></span>(org.eclipse.uml2.uml.PackageableElement&nbsp;element,
                            org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</code>
<div class="block">Creates the files corresponding to the class.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#generateClassifier-org.eclipse.uml2.uml.Classifier-java.lang.String-">generateClassifier</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;classifier,
                  <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#generateFile-java.lang.String-java.lang.String-">generateFile</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
            <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#getSourceFolder--">getSourceFolder</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#getTargetFolder--">getTargetFolder</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#isTemplate-org.eclipse.uml2.uml.Classifier-">isTemplate</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#noCodeGen-org.eclipse.uml2.uml.Element-">noCodeGen</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.languages.common.base.ModelElementsCreator">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.designer.languages.common.base.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></h3>
<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#createPackageableElement-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">createPackageableElement</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#createPackageableElement-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-boolean-" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">createPackageableElement</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#getFileName-org.eclipse.uml2.uml.NamedElement-" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">getFileName</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#removePackageableElement-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">removePackageableElement</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TMP_SOURCE_FOLDER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TMP_SOURCE_FOLDER</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TMP_SOURCE_FOLDER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.java.codegen.transformation.JavaModelElementsCreator.TMP_SOURCE_FOLDER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="javaExt">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>javaExt</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> javaExt</pre>
</li>
</ul>
<a name="commentHeader">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>commentHeader</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> commentHeader</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JavaModelElementsCreator-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.PackageableElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JavaModelElementsCreator</h4>
<pre>public&nbsp;JavaModelElementsCreator(org.eclipse.core.resources.IProject&nbsp;project,
                                org.eclipse.uml2.uml.PackageableElement&nbsp;packageableElement)</pre>
<div class="block">Constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>project</code> - the project in which the generated code should be placed</dd>
</dl>
</li>
</ul>
<a name="JavaModelElementsCreator-org.eclipse.core.resources.IProject-java.lang.String-org.eclipse.uml2.uml.PackageableElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JavaModelElementsCreator</h4>
<pre>public&nbsp;JavaModelElementsCreator(org.eclipse.core.resources.IProject&nbsp;project,
                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;commentHeader,
                                org.eclipse.uml2.uml.PackageableElement&nbsp;packageableElement)</pre>
<div class="block">Constructor, allows for non-standard commentHeader</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>project</code> - the project in which the generated code should be placed</dd>
<dd><code>commentHeader</code> - Custom prefix for each generated file</dd>
</dl>
</li>
</ul>
<a name="JavaModelElementsCreator-org.eclipse.papyrus.infra.tools.file.IPFileSystemAccess-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JavaModelElementsCreator</h4>
<pre>public&nbsp;JavaModelElementsCreator(org.eclipse.papyrus.infra.tools.file.IPFileSystemAccess&nbsp;fileSystemAccess,
                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;commentHeader)</pre>
<div class="block">Constructor. Pass caller defined file system access and commentHeader</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>project</code> - the project in which the generated code should be placed</dd>
<dd><code>commentHeader</code> - commentHeader. If null, take from preferences</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createPackageableElementFile-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageableElementFile</h4>
<pre>protected&nbsp;void&nbsp;createPackageableElementFile(org.eclipse.uml2.uml.PackageableElement&nbsp;element,
                                            org.eclipse.core.runtime.IProgressMonitor&nbsp;monitor)</pre>
<div class="block">Creates the files corresponding to the class. For a "simple" class
 generates 2 headers (one for the privates concrete operations and one for
 the attributes, public operations and virtual / abstract operations and
 one body file.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#createPackageableElementFile-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">createPackageableElementFile</a></code>&nbsp;in class&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>folder</code> - </dd>
<dd><code>classifier</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.runtime.CoreException</code></dd>
</dl>
</li>
</ul>
<a name="generateClassifier-org.eclipse.uml2.uml.Classifier-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateClassifier</h4>
<pre>protected&nbsp;void&nbsp;generateClassifier(org.eclipse.uml2.uml.Classifier&nbsp;classifier,
                                  <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</pre>
</li>
</ul>
<a name="generateFile-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateFile</h4>
<pre>protected&nbsp;void&nbsp;generateFile(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
                            <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;content)</pre>
</li>
</ul>
<a name="noCodeGen-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>noCodeGen</h4>
<pre>protected&nbsp;boolean&nbsp;noCodeGen(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true#noCodeGen-org.eclipse.uml2.uml.Element-" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">noCodeGen</a></code>&nbsp;in class&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.base/apidocs/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></code></dd>
</dl>
</li>
</ul>
<a name="isTemplate-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTemplate</h4>
<pre>protected&nbsp;boolean&nbsp;isTemplate(org.eclipse.uml2.uml.Classifier&nbsp;classifier)</pre>
</li>
</ul>
<a name="getSourceFolder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceFolder</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSourceFolder()</pre>
</li>
</ul>
<a name="getTargetFolder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTargetFolder</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTargetFolder()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/JavaModelElementsCreator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" target="_top">Frames</a></li>
<li><a href="JavaModelElementsCreator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
